中文
Continue in the app

ArcGIS Data Store 10.9 PostgreSQL ST_Geometry Patch

摘要

此修补程序安装了 Linux 上关系数据存储所使用的空间类型的正确版本。

说明

Esri® 宣布推出 ArcGIS Data Store 10.9 PostgreSQL ST_Geometry Patch 此修补程序安装了 Linux 上关系数据存储所使用的空间类型的正确版本。 其专门处理此修补程序解决的问题下方列出的问题。

重要注意事项:名为 ArcGIS Server 10.9 PostgreSQL ST_Geometry Patch 的可选修补程序可应用于 ArcGIS Enterprise 10.9 的服务器组件。 您仅需将修补程序应用到一台计算机和软件包。 然后需要将 ST_Geometry.SO 文件从 Database Support 文件夹移动到 Linux 上的 PostgreSQL 服务器。


此修补程序解决的问题


  • BUG-000141259 - 在 ArcGIS Enterprise 设置中安装正确的 10.9.0 版本 ST_Geometry Linux 库。

在 Linux 上安装此修补程序


安装步骤:


在安装此修补程序之前,必须先安装 ArcGIS Data Store 10.9。

以 arcgis 文件夹所有者(也称 ArcGIS 安装所有者)的身份完成以下安装步骤。

  1. 将相应的文件下载到 ArcGIS 安装位置以外的其他位置。


    ArcGIS 10.9  
       
    ArcGIS Data Store ArcGIS-109-DS-PS-Patch-linux.tar
         校验和
         (SHA256)
    66E5C752A50C8CC59EF458DA224DD9C3072936DD35C8F5C4DB518E56FBF56221

  2. 请确保具有对 ArcGIS 安装位置的写入权限,并且当前没有用户正在使用 ArcGIS。 将修补程序应用于主备关系数据存储,顺序无关紧要。

  3. 在各数据存储计算机上键入以下命令提取指定的 tar 文件:

    % tar -xvf ArcGIS-109-DS-PS-Patch-linux.tar

  4. 输入下列命令启动安装过程:

    % ./applypatch

    这将启动菜单驱动安装步骤的对话框。 默认选择在括号 ( ) 中注明。 您可随时输入“q”退出安装流程。

    在主数据存储上的安装进程完成后,请重复该进程以进行安装和运行 ./applypatch on the standby machine。

  5. 对于单机版 ArcGIS Data Stores 安装,请键入以下命令启动安装:

    % ./applypatch

    这将启动菜单驱动安装步骤的对话框。 默认选择在括号 ( ) 中注明。 您可随时输入“q”退出安装流程。


在 Linux 上卸载此修补程序


在 Linux 上卸载此修补程序仅适用于 10.5.1 或更高版本。 这些说明仅特定于 10.7 和更高版本。 要移除此修补程序,请导航到 <产品安装目录>/.Setup/qfe 文件夹,然后以 ArcGIS 安装所有者身份运行以下脚本:


./removepatch.sh

通过 removepatch.sh 脚本可卸载以前安装的修补程序或热修复程序。 使用 -s 状态标记以按日期排序获取已安装修补程序或热修复程序列表。 使用 -q <QFE_ID> 标记以按安装日期的反向时间顺序移除修补程序或热修复程序。 输入 removepatch -h 以获取使用帮助。

如何确定已安装的 ArcGIS 产品

要确定已安装的 ArcGIS 产品,请选择适用于您的环境的适当 PatchFinder 实用程序版本,然后在本地计算机上运行它。 PatchFinder 将列出已在本地计算机上安装的所有产品、热修复程序和修补程序。

获取帮助

如果在安装此修补程序时遇到任何问题,美国用户请拨打 Esri 技术支持热线 1-888-377-4575。 国际用户请联系您当地的 Esri 软件分销商